import { isEmpty } from 'src/common/utils';

export const defaultColDef = {
  flex: 1,
  minWidth: 100,
  suppressMenu: true, // 是否禁用标题行菜单
};

export const testData = [
  { name: '张三', age: 22 },
  { name: '孙火旺', age: 18 },
];

export const form_config = [
  {
    fild: 'username',
    label: '用户名',
    col: 'col-4',
    type: 'text',
    required: true,
    bind: {
      filled: true,
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => !isEmpty(val) || '必填'],
    },
  },
  {
    fild: 'account',
    label: '账号',
    col: 'col-4',
    type: 'text',
    required: true,
    bind: {
      filled: true,
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => !isEmpty(val) || '必填'],
    },
  },
  {
    fild: 'age',
    label: '年龄',
    col: 'col-4',
    type: 'number',
    required: true,
    bind: {
      filled: true,
      lazyRules: true,
      hideBottomSpace: true,
      rules: [
        (val: any) => !isEmpty(val) || '必填',
        (val: any) => (val > 0 && val < 100) || '请输入真实年龄',
      ],
    },
  },
  {
    fild: 'sex',
    label: '性别',
    col: 'col-4',
    type: 'select',
    required: true,
    bind: {
      filled: true,
      lazyRules: true,
      hideBottomSpace: true,
      rules: [(val: any) => !isEmpty(val) || '必填'],
      emitValue: true,
      mapOptions: true,
      options: [
        {
          label: '男',
          value: 1,
        },
        {
          label: '女',
          value: 0,
        },
      ],
    },
  },
  {
    fild: 'dateRange',
    label: '开始日期~结束日期',
    col: 'col-4',
    type: 'dateRange',
    bind: {
      filled: true,
      clearable: true,
      dateMask: 'YYYY-MM-DD',
    },
  },
  {
    fild: 'platform',
    label: '平台',
    col: 'col-4',
    type: 'select',
    bind: {
      filled: true,
      multiple: true,
      clearable: true,
      emitValue: true,
      mapOptions: true,
      options: [
        {
          label: '微信',
          value: 'WeChat',
        },
        {
          label: '微博',
          value: 'Microblog',
        },
        {
          label: '哔哩哔哩',
          value: 'bilibili',
        },
        {
          label: 'Twitter',
          value: 'Twitter',
        },
        {
          label: 'Facebook',
          value: 'Facebook',
        },
      ],
    },
  },
  {
    fild: 'remark',
    label: '备注',
    col: 'col-12',
    type: 'textarea',
    bind: {
      filled: true,
    },
  },
];
